/**
 * Original work: Copyright (c) 2014 Sergey Skoblikov
 * Modified work: Copyright (c) 2015-2020 Dmitry Ivanov
 *
 * This file is a part of QEverCloud project and is distributed under the terms
 * of MIT license:
 * https://opensource.org/licenses/MIT
 *
 * This file was generated from Evernote Thrift API
 */

#ifndef QEVERCLOUD_GENERATED_TESTNOTESTORE_H
#define QEVERCLOUD_GENERATED_TESTNOTESTORE_H

#include "../SocketHelpers.h"
#include <QObject>

namespace qevercloud {

////////////////////////////////////////////////////////////////////////////////

class NoteStoreTester: public QObject
{
    Q_OBJECT
public:
    explicit NoteStoreTester(QObject * parent = nullptr);

private Q_SLOTS:
    void shouldExecuteGetSyncState();
    void shouldDeliverEDAMUserExceptionInGetSyncState();
    void shouldDeliverEDAMSystemExceptionInGetSyncState();
    void shouldDeliverThriftExceptionInGetSyncState();
    void shouldExecuteGetSyncStateAsync();
    void shouldDeliverEDAMUserExceptionInGetSyncStateAsync();
    void shouldDeliverEDAMSystemExceptionInGetSyncStateAsync();
    void shouldDeliverThriftExceptionInGetSyncStateAsync();
    void shouldExecuteGetFilteredSyncChunk();
    void shouldDeliverEDAMUserExceptionInGetFilteredSyncChunk();
    void shouldDeliverEDAMSystemExceptionInGetFilteredSyncChunk();
    void shouldDeliverThriftExceptionInGetFilteredSyncChunk();
    void shouldExecuteGetFilteredSyncChunkAsync();
    void shouldDeliverEDAMUserExceptionInGetFilteredSyncChunkAsync();
    void shouldDeliverEDAMSystemExceptionInGetFilteredSyncChunkAsync();
    void shouldDeliverThriftExceptionInGetFilteredSyncChunkAsync();
    void shouldExecuteGetLinkedNotebookSyncState();
    void shouldDeliverEDAMUserExceptionInGetLinkedNotebookSyncState();
    void shouldDeliverEDAMSystemExceptionInGetLinkedNotebookSyncState();
    void shouldDeliverEDAMNotFoundExceptionInGetLinkedNotebookSyncState();
    void shouldDeliverThriftExceptionInGetLinkedNotebookSyncState();
    void shouldExecuteGetLinkedNotebookSyncStateAsync();
    void shouldDeliverEDAMUserExceptionInGetLinkedNotebookSyncStateAsync();
    void shouldDeliverEDAMSystemExceptionInGetLinkedNotebookSyncStateAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetLinkedNotebookSyncStateAsync();
    void shouldDeliverThriftExceptionInGetLinkedNotebookSyncStateAsync();
    void shouldExecuteGetLinkedNotebookSyncChunk();
    void shouldDeliverEDAMUserExceptionInGetLinkedNotebookSyncChunk();
    void shouldDeliverEDAMSystemExceptionInGetLinkedNotebookSyncChunk();
    void shouldDeliverEDAMNotFoundExceptionInGetLinkedNotebookSyncChunk();
    void shouldDeliverThriftExceptionInGetLinkedNotebookSyncChunk();
    void shouldExecuteGetLinkedNotebookSyncChunkAsync();
    void shouldDeliverEDAMUserExceptionInGetLinkedNotebookSyncChunkAsync();
    void shouldDeliverEDAMSystemExceptionInGetLinkedNotebookSyncChunkAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetLinkedNotebookSyncChunkAsync();
    void shouldDeliverThriftExceptionInGetLinkedNotebookSyncChunkAsync();
    void shouldExecuteListNotebooks();
    void shouldDeliverEDAMUserExceptionInListNotebooks();
    void shouldDeliverEDAMSystemExceptionInListNotebooks();
    void shouldDeliverThriftExceptionInListNotebooks();
    void shouldExecuteListNotebooksAsync();
    void shouldDeliverEDAMUserExceptionInListNotebooksAsync();
    void shouldDeliverEDAMSystemExceptionInListNotebooksAsync();
    void shouldDeliverThriftExceptionInListNotebooksAsync();
    void shouldExecuteListAccessibleBusinessNotebooks();
    void shouldDeliverEDAMUserExceptionInListAccessibleBusinessNotebooks();
    void shouldDeliverEDAMSystemExceptionInListAccessibleBusinessNotebooks();
    void shouldDeliverThriftExceptionInListAccessibleBusinessNotebooks();
    void shouldExecuteListAccessibleBusinessNotebooksAsync();
    void shouldDeliverEDAMUserExceptionInListAccessibleBusinessNotebooksAsync();
    void shouldDeliverEDAMSystemExceptionInListAccessibleBusinessNotebooksAsync();
    void shouldDeliverThriftExceptionInListAccessibleBusinessNotebooksAsync();
    void shouldExecuteGetNotebook();
    void shouldDeliverEDAMUserExceptionInGetNotebook();
    void shouldDeliverEDAMSystemExceptionInGetNotebook();
    void shouldDeliverEDAMNotFoundExceptionInGetNotebook();
    void shouldDeliverThriftExceptionInGetNotebook();
    void shouldExecuteGetNotebookAsync();
    void shouldDeliverEDAMUserExceptionInGetNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInGetNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetNotebookAsync();
    void shouldDeliverThriftExceptionInGetNotebookAsync();
    void shouldExecuteGetDefaultNotebook();
    void shouldDeliverEDAMUserExceptionInGetDefaultNotebook();
    void shouldDeliverEDAMSystemExceptionInGetDefaultNotebook();
    void shouldDeliverThriftExceptionInGetDefaultNotebook();
    void shouldExecuteGetDefaultNotebookAsync();
    void shouldDeliverEDAMUserExceptionInGetDefaultNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInGetDefaultNotebookAsync();
    void shouldDeliverThriftExceptionInGetDefaultNotebookAsync();
    void shouldExecuteCreateNotebook();
    void shouldDeliverEDAMUserExceptionInCreateNotebook();
    void shouldDeliverEDAMSystemExceptionInCreateNotebook();
    void shouldDeliverEDAMNotFoundExceptionInCreateNotebook();
    void shouldDeliverThriftExceptionInCreateNotebook();
    void shouldExecuteCreateNotebookAsync();
    void shouldDeliverEDAMUserExceptionInCreateNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInCreateNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInCreateNotebookAsync();
    void shouldDeliverThriftExceptionInCreateNotebookAsync();
    void shouldExecuteUpdateNotebook();
    void shouldDeliverEDAMUserExceptionInUpdateNotebook();
    void shouldDeliverEDAMSystemExceptionInUpdateNotebook();
    void shouldDeliverEDAMNotFoundExceptionInUpdateNotebook();
    void shouldDeliverThriftExceptionInUpdateNotebook();
    void shouldExecuteUpdateNotebookAsync();
    void shouldDeliverEDAMUserExceptionInUpdateNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInUpdateNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInUpdateNotebookAsync();
    void shouldDeliverThriftExceptionInUpdateNotebookAsync();
    void shouldExecuteExpungeNotebook();
    void shouldDeliverEDAMUserExceptionInExpungeNotebook();
    void shouldDeliverEDAMSystemExceptionInExpungeNotebook();
    void shouldDeliverEDAMNotFoundExceptionInExpungeNotebook();
    void shouldDeliverThriftExceptionInExpungeNotebook();
    void shouldExecuteExpungeNotebookAsync();
    void shouldDeliverEDAMUserExceptionInExpungeNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInExpungeNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInExpungeNotebookAsync();
    void shouldDeliverThriftExceptionInExpungeNotebookAsync();
    void shouldExecuteListTags();
    void shouldDeliverEDAMUserExceptionInListTags();
    void shouldDeliverEDAMSystemExceptionInListTags();
    void shouldDeliverThriftExceptionInListTags();
    void shouldExecuteListTagsAsync();
    void shouldDeliverEDAMUserExceptionInListTagsAsync();
    void shouldDeliverEDAMSystemExceptionInListTagsAsync();
    void shouldDeliverThriftExceptionInListTagsAsync();
    void shouldExecuteListTagsByNotebook();
    void shouldDeliverEDAMUserExceptionInListTagsByNotebook();
    void shouldDeliverEDAMSystemExceptionInListTagsByNotebook();
    void shouldDeliverEDAMNotFoundExceptionInListTagsByNotebook();
    void shouldDeliverThriftExceptionInListTagsByNotebook();
    void shouldExecuteListTagsByNotebookAsync();
    void shouldDeliverEDAMUserExceptionInListTagsByNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInListTagsByNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInListTagsByNotebookAsync();
    void shouldDeliverThriftExceptionInListTagsByNotebookAsync();
    void shouldExecuteGetTag();
    void shouldDeliverEDAMUserExceptionInGetTag();
    void shouldDeliverEDAMSystemExceptionInGetTag();
    void shouldDeliverEDAMNotFoundExceptionInGetTag();
    void shouldDeliverThriftExceptionInGetTag();
    void shouldExecuteGetTagAsync();
    void shouldDeliverEDAMUserExceptionInGetTagAsync();
    void shouldDeliverEDAMSystemExceptionInGetTagAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetTagAsync();
    void shouldDeliverThriftExceptionInGetTagAsync();
    void shouldExecuteCreateTag();
    void shouldDeliverEDAMUserExceptionInCreateTag();
    void shouldDeliverEDAMSystemExceptionInCreateTag();
    void shouldDeliverEDAMNotFoundExceptionInCreateTag();
    void shouldDeliverThriftExceptionInCreateTag();
    void shouldExecuteCreateTagAsync();
    void shouldDeliverEDAMUserExceptionInCreateTagAsync();
    void shouldDeliverEDAMSystemExceptionInCreateTagAsync();
    void shouldDeliverEDAMNotFoundExceptionInCreateTagAsync();
    void shouldDeliverThriftExceptionInCreateTagAsync();
    void shouldExecuteUpdateTag();
    void shouldDeliverEDAMUserExceptionInUpdateTag();
    void shouldDeliverEDAMSystemExceptionInUpdateTag();
    void shouldDeliverEDAMNotFoundExceptionInUpdateTag();
    void shouldDeliverThriftExceptionInUpdateTag();
    void shouldExecuteUpdateTagAsync();
    void shouldDeliverEDAMUserExceptionInUpdateTagAsync();
    void shouldDeliverEDAMSystemExceptionInUpdateTagAsync();
    void shouldDeliverEDAMNotFoundExceptionInUpdateTagAsync();
    void shouldDeliverThriftExceptionInUpdateTagAsync();
    void shouldExecuteUntagAll();
    void shouldDeliverEDAMUserExceptionInUntagAll();
    void shouldDeliverEDAMSystemExceptionInUntagAll();
    void shouldDeliverEDAMNotFoundExceptionInUntagAll();
    void shouldDeliverThriftExceptionInUntagAll();
    void shouldExecuteUntagAllAsync();
    void shouldDeliverEDAMUserExceptionInUntagAllAsync();
    void shouldDeliverEDAMSystemExceptionInUntagAllAsync();
    void shouldDeliverEDAMNotFoundExceptionInUntagAllAsync();
    void shouldDeliverThriftExceptionInUntagAllAsync();
    void shouldExecuteExpungeTag();
    void shouldDeliverEDAMUserExceptionInExpungeTag();
    void shouldDeliverEDAMSystemExceptionInExpungeTag();
    void shouldDeliverEDAMNotFoundExceptionInExpungeTag();
    void shouldDeliverThriftExceptionInExpungeTag();
    void shouldExecuteExpungeTagAsync();
    void shouldDeliverEDAMUserExceptionInExpungeTagAsync();
    void shouldDeliverEDAMSystemExceptionInExpungeTagAsync();
    void shouldDeliverEDAMNotFoundExceptionInExpungeTagAsync();
    void shouldDeliverThriftExceptionInExpungeTagAsync();
    void shouldExecuteListSearches();
    void shouldDeliverEDAMUserExceptionInListSearches();
    void shouldDeliverEDAMSystemExceptionInListSearches();
    void shouldDeliverThriftExceptionInListSearches();
    void shouldExecuteListSearchesAsync();
    void shouldDeliverEDAMUserExceptionInListSearchesAsync();
    void shouldDeliverEDAMSystemExceptionInListSearchesAsync();
    void shouldDeliverThriftExceptionInListSearchesAsync();
    void shouldExecuteGetSearch();
    void shouldDeliverEDAMUserExceptionInGetSearch();
    void shouldDeliverEDAMSystemExceptionInGetSearch();
    void shouldDeliverEDAMNotFoundExceptionInGetSearch();
    void shouldDeliverThriftExceptionInGetSearch();
    void shouldExecuteGetSearchAsync();
    void shouldDeliverEDAMUserExceptionInGetSearchAsync();
    void shouldDeliverEDAMSystemExceptionInGetSearchAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetSearchAsync();
    void shouldDeliverThriftExceptionInGetSearchAsync();
    void shouldExecuteCreateSearch();
    void shouldDeliverEDAMUserExceptionInCreateSearch();
    void shouldDeliverEDAMSystemExceptionInCreateSearch();
    void shouldDeliverThriftExceptionInCreateSearch();
    void shouldExecuteCreateSearchAsync();
    void shouldDeliverEDAMUserExceptionInCreateSearchAsync();
    void shouldDeliverEDAMSystemExceptionInCreateSearchAsync();
    void shouldDeliverThriftExceptionInCreateSearchAsync();
    void shouldExecuteUpdateSearch();
    void shouldDeliverEDAMUserExceptionInUpdateSearch();
    void shouldDeliverEDAMSystemExceptionInUpdateSearch();
    void shouldDeliverEDAMNotFoundExceptionInUpdateSearch();
    void shouldDeliverThriftExceptionInUpdateSearch();
    void shouldExecuteUpdateSearchAsync();
    void shouldDeliverEDAMUserExceptionInUpdateSearchAsync();
    void shouldDeliverEDAMSystemExceptionInUpdateSearchAsync();
    void shouldDeliverEDAMNotFoundExceptionInUpdateSearchAsync();
    void shouldDeliverThriftExceptionInUpdateSearchAsync();
    void shouldExecuteExpungeSearch();
    void shouldDeliverEDAMUserExceptionInExpungeSearch();
    void shouldDeliverEDAMSystemExceptionInExpungeSearch();
    void shouldDeliverEDAMNotFoundExceptionInExpungeSearch();
    void shouldDeliverThriftExceptionInExpungeSearch();
    void shouldExecuteExpungeSearchAsync();
    void shouldDeliverEDAMUserExceptionInExpungeSearchAsync();
    void shouldDeliverEDAMSystemExceptionInExpungeSearchAsync();
    void shouldDeliverEDAMNotFoundExceptionInExpungeSearchAsync();
    void shouldDeliverThriftExceptionInExpungeSearchAsync();
    void shouldExecuteFindNoteOffset();
    void shouldDeliverEDAMUserExceptionInFindNoteOffset();
    void shouldDeliverEDAMSystemExceptionInFindNoteOffset();
    void shouldDeliverEDAMNotFoundExceptionInFindNoteOffset();
    void shouldDeliverThriftExceptionInFindNoteOffset();
    void shouldExecuteFindNoteOffsetAsync();
    void shouldDeliverEDAMUserExceptionInFindNoteOffsetAsync();
    void shouldDeliverEDAMSystemExceptionInFindNoteOffsetAsync();
    void shouldDeliverEDAMNotFoundExceptionInFindNoteOffsetAsync();
    void shouldDeliverThriftExceptionInFindNoteOffsetAsync();
    void shouldExecuteFindNotesMetadata();
    void shouldDeliverEDAMUserExceptionInFindNotesMetadata();
    void shouldDeliverEDAMSystemExceptionInFindNotesMetadata();
    void shouldDeliverEDAMNotFoundExceptionInFindNotesMetadata();
    void shouldDeliverThriftExceptionInFindNotesMetadata();
    void shouldExecuteFindNotesMetadataAsync();
    void shouldDeliverEDAMUserExceptionInFindNotesMetadataAsync();
    void shouldDeliverEDAMSystemExceptionInFindNotesMetadataAsync();
    void shouldDeliverEDAMNotFoundExceptionInFindNotesMetadataAsync();
    void shouldDeliverThriftExceptionInFindNotesMetadataAsync();
    void shouldExecuteFindNoteCounts();
    void shouldDeliverEDAMUserExceptionInFindNoteCounts();
    void shouldDeliverEDAMSystemExceptionInFindNoteCounts();
    void shouldDeliverEDAMNotFoundExceptionInFindNoteCounts();
    void shouldDeliverThriftExceptionInFindNoteCounts();
    void shouldExecuteFindNoteCountsAsync();
    void shouldDeliverEDAMUserExceptionInFindNoteCountsAsync();
    void shouldDeliverEDAMSystemExceptionInFindNoteCountsAsync();
    void shouldDeliverEDAMNotFoundExceptionInFindNoteCountsAsync();
    void shouldDeliverThriftExceptionInFindNoteCountsAsync();
    void shouldExecuteGetNoteWithResultSpec();
    void shouldDeliverEDAMUserExceptionInGetNoteWithResultSpec();
    void shouldDeliverEDAMSystemExceptionInGetNoteWithResultSpec();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteWithResultSpec();
    void shouldDeliverThriftExceptionInGetNoteWithResultSpec();
    void shouldExecuteGetNoteWithResultSpecAsync();
    void shouldDeliverEDAMUserExceptionInGetNoteWithResultSpecAsync();
    void shouldDeliverEDAMSystemExceptionInGetNoteWithResultSpecAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteWithResultSpecAsync();
    void shouldDeliverThriftExceptionInGetNoteWithResultSpecAsync();
    void shouldExecuteGetNote();
    void shouldDeliverEDAMUserExceptionInGetNote();
    void shouldDeliverEDAMSystemExceptionInGetNote();
    void shouldDeliverEDAMNotFoundExceptionInGetNote();
    void shouldDeliverThriftExceptionInGetNote();
    void shouldExecuteGetNoteAsync();
    void shouldDeliverEDAMUserExceptionInGetNoteAsync();
    void shouldDeliverEDAMSystemExceptionInGetNoteAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteAsync();
    void shouldDeliverThriftExceptionInGetNoteAsync();
    void shouldExecuteGetNoteApplicationData();
    void shouldDeliverEDAMUserExceptionInGetNoteApplicationData();
    void shouldDeliverEDAMSystemExceptionInGetNoteApplicationData();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteApplicationData();
    void shouldDeliverThriftExceptionInGetNoteApplicationData();
    void shouldExecuteGetNoteApplicationDataAsync();
    void shouldDeliverEDAMUserExceptionInGetNoteApplicationDataAsync();
    void shouldDeliverEDAMSystemExceptionInGetNoteApplicationDataAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteApplicationDataAsync();
    void shouldDeliverThriftExceptionInGetNoteApplicationDataAsync();
    void shouldExecuteGetNoteApplicationDataEntry();
    void shouldDeliverEDAMUserExceptionInGetNoteApplicationDataEntry();
    void shouldDeliverEDAMSystemExceptionInGetNoteApplicationDataEntry();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteApplicationDataEntry();
    void shouldDeliverThriftExceptionInGetNoteApplicationDataEntry();
    void shouldExecuteGetNoteApplicationDataEntryAsync();
    void shouldDeliverEDAMUserExceptionInGetNoteApplicationDataEntryAsync();
    void shouldDeliverEDAMSystemExceptionInGetNoteApplicationDataEntryAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteApplicationDataEntryAsync();
    void shouldDeliverThriftExceptionInGetNoteApplicationDataEntryAsync();
    void shouldExecuteSetNoteApplicationDataEntry();
    void shouldDeliverEDAMUserExceptionInSetNoteApplicationDataEntry();
    void shouldDeliverEDAMSystemExceptionInSetNoteApplicationDataEntry();
    void shouldDeliverEDAMNotFoundExceptionInSetNoteApplicationDataEntry();
    void shouldDeliverThriftExceptionInSetNoteApplicationDataEntry();
    void shouldExecuteSetNoteApplicationDataEntryAsync();
    void shouldDeliverEDAMUserExceptionInSetNoteApplicationDataEntryAsync();
    void shouldDeliverEDAMSystemExceptionInSetNoteApplicationDataEntryAsync();
    void shouldDeliverEDAMNotFoundExceptionInSetNoteApplicationDataEntryAsync();
    void shouldDeliverThriftExceptionInSetNoteApplicationDataEntryAsync();
    void shouldExecuteUnsetNoteApplicationDataEntry();
    void shouldDeliverEDAMUserExceptionInUnsetNoteApplicationDataEntry();
    void shouldDeliverEDAMSystemExceptionInUnsetNoteApplicationDataEntry();
    void shouldDeliverEDAMNotFoundExceptionInUnsetNoteApplicationDataEntry();
    void shouldDeliverThriftExceptionInUnsetNoteApplicationDataEntry();
    void shouldExecuteUnsetNoteApplicationDataEntryAsync();
    void shouldDeliverEDAMUserExceptionInUnsetNoteApplicationDataEntryAsync();
    void shouldDeliverEDAMSystemExceptionInUnsetNoteApplicationDataEntryAsync();
    void shouldDeliverEDAMNotFoundExceptionInUnsetNoteApplicationDataEntryAsync();
    void shouldDeliverThriftExceptionInUnsetNoteApplicationDataEntryAsync();
    void shouldExecuteGetNoteContent();
    void shouldDeliverEDAMUserExceptionInGetNoteContent();
    void shouldDeliverEDAMSystemExceptionInGetNoteContent();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteContent();
    void shouldDeliverThriftExceptionInGetNoteContent();
    void shouldExecuteGetNoteContentAsync();
    void shouldDeliverEDAMUserExceptionInGetNoteContentAsync();
    void shouldDeliverEDAMSystemExceptionInGetNoteContentAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteContentAsync();
    void shouldDeliverThriftExceptionInGetNoteContentAsync();
    void shouldExecuteGetNoteSearchText();
    void shouldDeliverEDAMUserExceptionInGetNoteSearchText();
    void shouldDeliverEDAMSystemExceptionInGetNoteSearchText();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteSearchText();
    void shouldDeliverThriftExceptionInGetNoteSearchText();
    void shouldExecuteGetNoteSearchTextAsync();
    void shouldDeliverEDAMUserExceptionInGetNoteSearchTextAsync();
    void shouldDeliverEDAMSystemExceptionInGetNoteSearchTextAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteSearchTextAsync();
    void shouldDeliverThriftExceptionInGetNoteSearchTextAsync();
    void shouldExecuteGetResourceSearchText();
    void shouldDeliverEDAMUserExceptionInGetResourceSearchText();
    void shouldDeliverEDAMSystemExceptionInGetResourceSearchText();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceSearchText();
    void shouldDeliverThriftExceptionInGetResourceSearchText();
    void shouldExecuteGetResourceSearchTextAsync();
    void shouldDeliverEDAMUserExceptionInGetResourceSearchTextAsync();
    void shouldDeliverEDAMSystemExceptionInGetResourceSearchTextAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceSearchTextAsync();
    void shouldDeliverThriftExceptionInGetResourceSearchTextAsync();
    void shouldExecuteGetNoteTagNames();
    void shouldDeliverEDAMUserExceptionInGetNoteTagNames();
    void shouldDeliverEDAMSystemExceptionInGetNoteTagNames();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteTagNames();
    void shouldDeliverThriftExceptionInGetNoteTagNames();
    void shouldExecuteGetNoteTagNamesAsync();
    void shouldDeliverEDAMUserExceptionInGetNoteTagNamesAsync();
    void shouldDeliverEDAMSystemExceptionInGetNoteTagNamesAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteTagNamesAsync();
    void shouldDeliverThriftExceptionInGetNoteTagNamesAsync();
    void shouldExecuteCreateNote();
    void shouldDeliverEDAMUserExceptionInCreateNote();
    void shouldDeliverEDAMSystemExceptionInCreateNote();
    void shouldDeliverEDAMNotFoundExceptionInCreateNote();
    void shouldDeliverThriftExceptionInCreateNote();
    void shouldExecuteCreateNoteAsync();
    void shouldDeliverEDAMUserExceptionInCreateNoteAsync();
    void shouldDeliverEDAMSystemExceptionInCreateNoteAsync();
    void shouldDeliverEDAMNotFoundExceptionInCreateNoteAsync();
    void shouldDeliverThriftExceptionInCreateNoteAsync();
    void shouldExecuteUpdateNote();
    void shouldDeliverEDAMUserExceptionInUpdateNote();
    void shouldDeliverEDAMSystemExceptionInUpdateNote();
    void shouldDeliverEDAMNotFoundExceptionInUpdateNote();
    void shouldDeliverThriftExceptionInUpdateNote();
    void shouldExecuteUpdateNoteAsync();
    void shouldDeliverEDAMUserExceptionInUpdateNoteAsync();
    void shouldDeliverEDAMSystemExceptionInUpdateNoteAsync();
    void shouldDeliverEDAMNotFoundExceptionInUpdateNoteAsync();
    void shouldDeliverThriftExceptionInUpdateNoteAsync();
    void shouldExecuteDeleteNote();
    void shouldDeliverEDAMUserExceptionInDeleteNote();
    void shouldDeliverEDAMSystemExceptionInDeleteNote();
    void shouldDeliverEDAMNotFoundExceptionInDeleteNote();
    void shouldDeliverThriftExceptionInDeleteNote();
    void shouldExecuteDeleteNoteAsync();
    void shouldDeliverEDAMUserExceptionInDeleteNoteAsync();
    void shouldDeliverEDAMSystemExceptionInDeleteNoteAsync();
    void shouldDeliverEDAMNotFoundExceptionInDeleteNoteAsync();
    void shouldDeliverThriftExceptionInDeleteNoteAsync();
    void shouldExecuteExpungeNote();
    void shouldDeliverEDAMUserExceptionInExpungeNote();
    void shouldDeliverEDAMSystemExceptionInExpungeNote();
    void shouldDeliverEDAMNotFoundExceptionInExpungeNote();
    void shouldDeliverThriftExceptionInExpungeNote();
    void shouldExecuteExpungeNoteAsync();
    void shouldDeliverEDAMUserExceptionInExpungeNoteAsync();
    void shouldDeliverEDAMSystemExceptionInExpungeNoteAsync();
    void shouldDeliverEDAMNotFoundExceptionInExpungeNoteAsync();
    void shouldDeliverThriftExceptionInExpungeNoteAsync();
    void shouldExecuteCopyNote();
    void shouldDeliverEDAMUserExceptionInCopyNote();
    void shouldDeliverEDAMSystemExceptionInCopyNote();
    void shouldDeliverEDAMNotFoundExceptionInCopyNote();
    void shouldDeliverThriftExceptionInCopyNote();
    void shouldExecuteCopyNoteAsync();
    void shouldDeliverEDAMUserExceptionInCopyNoteAsync();
    void shouldDeliverEDAMSystemExceptionInCopyNoteAsync();
    void shouldDeliverEDAMNotFoundExceptionInCopyNoteAsync();
    void shouldDeliverThriftExceptionInCopyNoteAsync();
    void shouldExecuteListNoteVersions();
    void shouldDeliverEDAMUserExceptionInListNoteVersions();
    void shouldDeliverEDAMSystemExceptionInListNoteVersions();
    void shouldDeliverEDAMNotFoundExceptionInListNoteVersions();
    void shouldDeliverThriftExceptionInListNoteVersions();
    void shouldExecuteListNoteVersionsAsync();
    void shouldDeliverEDAMUserExceptionInListNoteVersionsAsync();
    void shouldDeliverEDAMSystemExceptionInListNoteVersionsAsync();
    void shouldDeliverEDAMNotFoundExceptionInListNoteVersionsAsync();
    void shouldDeliverThriftExceptionInListNoteVersionsAsync();
    void shouldExecuteGetNoteVersion();
    void shouldDeliverEDAMUserExceptionInGetNoteVersion();
    void shouldDeliverEDAMSystemExceptionInGetNoteVersion();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteVersion();
    void shouldDeliverThriftExceptionInGetNoteVersion();
    void shouldExecuteGetNoteVersionAsync();
    void shouldDeliverEDAMUserExceptionInGetNoteVersionAsync();
    void shouldDeliverEDAMSystemExceptionInGetNoteVersionAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetNoteVersionAsync();
    void shouldDeliverThriftExceptionInGetNoteVersionAsync();
    void shouldExecuteGetResource();
    void shouldDeliverEDAMUserExceptionInGetResource();
    void shouldDeliverEDAMSystemExceptionInGetResource();
    void shouldDeliverEDAMNotFoundExceptionInGetResource();
    void shouldDeliverThriftExceptionInGetResource();
    void shouldExecuteGetResourceAsync();
    void shouldDeliverEDAMUserExceptionInGetResourceAsync();
    void shouldDeliverEDAMSystemExceptionInGetResourceAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceAsync();
    void shouldDeliverThriftExceptionInGetResourceAsync();
    void shouldExecuteGetResourceApplicationData();
    void shouldDeliverEDAMUserExceptionInGetResourceApplicationData();
    void shouldDeliverEDAMSystemExceptionInGetResourceApplicationData();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceApplicationData();
    void shouldDeliverThriftExceptionInGetResourceApplicationData();
    void shouldExecuteGetResourceApplicationDataAsync();
    void shouldDeliverEDAMUserExceptionInGetResourceApplicationDataAsync();
    void shouldDeliverEDAMSystemExceptionInGetResourceApplicationDataAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceApplicationDataAsync();
    void shouldDeliverThriftExceptionInGetResourceApplicationDataAsync();
    void shouldExecuteGetResourceApplicationDataEntry();
    void shouldDeliverEDAMUserExceptionInGetResourceApplicationDataEntry();
    void shouldDeliverEDAMSystemExceptionInGetResourceApplicationDataEntry();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceApplicationDataEntry();
    void shouldDeliverThriftExceptionInGetResourceApplicationDataEntry();
    void shouldExecuteGetResourceApplicationDataEntryAsync();
    void shouldDeliverEDAMUserExceptionInGetResourceApplicationDataEntryAsync();
    void shouldDeliverEDAMSystemExceptionInGetResourceApplicationDataEntryAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceApplicationDataEntryAsync();
    void shouldDeliverThriftExceptionInGetResourceApplicationDataEntryAsync();
    void shouldExecuteSetResourceApplicationDataEntry();
    void shouldDeliverEDAMUserExceptionInSetResourceApplicationDataEntry();
    void shouldDeliverEDAMSystemExceptionInSetResourceApplicationDataEntry();
    void shouldDeliverEDAMNotFoundExceptionInSetResourceApplicationDataEntry();
    void shouldDeliverThriftExceptionInSetResourceApplicationDataEntry();
    void shouldExecuteSetResourceApplicationDataEntryAsync();
    void shouldDeliverEDAMUserExceptionInSetResourceApplicationDataEntryAsync();
    void shouldDeliverEDAMSystemExceptionInSetResourceApplicationDataEntryAsync();
    void shouldDeliverEDAMNotFoundExceptionInSetResourceApplicationDataEntryAsync();
    void shouldDeliverThriftExceptionInSetResourceApplicationDataEntryAsync();
    void shouldExecuteUnsetResourceApplicationDataEntry();
    void shouldDeliverEDAMUserExceptionInUnsetResourceApplicationDataEntry();
    void shouldDeliverEDAMSystemExceptionInUnsetResourceApplicationDataEntry();
    void shouldDeliverEDAMNotFoundExceptionInUnsetResourceApplicationDataEntry();
    void shouldDeliverThriftExceptionInUnsetResourceApplicationDataEntry();
    void shouldExecuteUnsetResourceApplicationDataEntryAsync();
    void shouldDeliverEDAMUserExceptionInUnsetResourceApplicationDataEntryAsync();
    void shouldDeliverEDAMSystemExceptionInUnsetResourceApplicationDataEntryAsync();
    void shouldDeliverEDAMNotFoundExceptionInUnsetResourceApplicationDataEntryAsync();
    void shouldDeliverThriftExceptionInUnsetResourceApplicationDataEntryAsync();
    void shouldExecuteUpdateResource();
    void shouldDeliverEDAMUserExceptionInUpdateResource();
    void shouldDeliverEDAMSystemExceptionInUpdateResource();
    void shouldDeliverEDAMNotFoundExceptionInUpdateResource();
    void shouldDeliverThriftExceptionInUpdateResource();
    void shouldExecuteUpdateResourceAsync();
    void shouldDeliverEDAMUserExceptionInUpdateResourceAsync();
    void shouldDeliverEDAMSystemExceptionInUpdateResourceAsync();
    void shouldDeliverEDAMNotFoundExceptionInUpdateResourceAsync();
    void shouldDeliverThriftExceptionInUpdateResourceAsync();
    void shouldExecuteGetResourceData();
    void shouldDeliverEDAMUserExceptionInGetResourceData();
    void shouldDeliverEDAMSystemExceptionInGetResourceData();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceData();
    void shouldDeliverThriftExceptionInGetResourceData();
    void shouldExecuteGetResourceDataAsync();
    void shouldDeliverEDAMUserExceptionInGetResourceDataAsync();
    void shouldDeliverEDAMSystemExceptionInGetResourceDataAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceDataAsync();
    void shouldDeliverThriftExceptionInGetResourceDataAsync();
    void shouldExecuteGetResourceByHash();
    void shouldDeliverEDAMUserExceptionInGetResourceByHash();
    void shouldDeliverEDAMSystemExceptionInGetResourceByHash();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceByHash();
    void shouldDeliverThriftExceptionInGetResourceByHash();
    void shouldExecuteGetResourceByHashAsync();
    void shouldDeliverEDAMUserExceptionInGetResourceByHashAsync();
    void shouldDeliverEDAMSystemExceptionInGetResourceByHashAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceByHashAsync();
    void shouldDeliverThriftExceptionInGetResourceByHashAsync();
    void shouldExecuteGetResourceRecognition();
    void shouldDeliverEDAMUserExceptionInGetResourceRecognition();
    void shouldDeliverEDAMSystemExceptionInGetResourceRecognition();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceRecognition();
    void shouldDeliverThriftExceptionInGetResourceRecognition();
    void shouldExecuteGetResourceRecognitionAsync();
    void shouldDeliverEDAMUserExceptionInGetResourceRecognitionAsync();
    void shouldDeliverEDAMSystemExceptionInGetResourceRecognitionAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceRecognitionAsync();
    void shouldDeliverThriftExceptionInGetResourceRecognitionAsync();
    void shouldExecuteGetResourceAlternateData();
    void shouldDeliverEDAMUserExceptionInGetResourceAlternateData();
    void shouldDeliverEDAMSystemExceptionInGetResourceAlternateData();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceAlternateData();
    void shouldDeliverThriftExceptionInGetResourceAlternateData();
    void shouldExecuteGetResourceAlternateDataAsync();
    void shouldDeliverEDAMUserExceptionInGetResourceAlternateDataAsync();
    void shouldDeliverEDAMSystemExceptionInGetResourceAlternateDataAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceAlternateDataAsync();
    void shouldDeliverThriftExceptionInGetResourceAlternateDataAsync();
    void shouldExecuteGetResourceAttributes();
    void shouldDeliverEDAMUserExceptionInGetResourceAttributes();
    void shouldDeliverEDAMSystemExceptionInGetResourceAttributes();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceAttributes();
    void shouldDeliverThriftExceptionInGetResourceAttributes();
    void shouldExecuteGetResourceAttributesAsync();
    void shouldDeliverEDAMUserExceptionInGetResourceAttributesAsync();
    void shouldDeliverEDAMSystemExceptionInGetResourceAttributesAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetResourceAttributesAsync();
    void shouldDeliverThriftExceptionInGetResourceAttributesAsync();
    void shouldExecuteGetPublicNotebook();
    void shouldDeliverEDAMSystemExceptionInGetPublicNotebook();
    void shouldDeliverEDAMNotFoundExceptionInGetPublicNotebook();
    void shouldDeliverThriftExceptionInGetPublicNotebook();
    void shouldExecuteGetPublicNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInGetPublicNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetPublicNotebookAsync();
    void shouldDeliverThriftExceptionInGetPublicNotebookAsync();
    void shouldExecuteShareNotebook();
    void shouldDeliverEDAMUserExceptionInShareNotebook();
    void shouldDeliverEDAMNotFoundExceptionInShareNotebook();
    void shouldDeliverEDAMSystemExceptionInShareNotebook();
    void shouldDeliverThriftExceptionInShareNotebook();
    void shouldExecuteShareNotebookAsync();
    void shouldDeliverEDAMUserExceptionInShareNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInShareNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInShareNotebookAsync();
    void shouldDeliverThriftExceptionInShareNotebookAsync();
    void shouldExecuteCreateOrUpdateNotebookShares();
    void shouldDeliverEDAMUserExceptionInCreateOrUpdateNotebookShares();
    void shouldDeliverEDAMNotFoundExceptionInCreateOrUpdateNotebookShares();
    void shouldDeliverEDAMSystemExceptionInCreateOrUpdateNotebookShares();
    void shouldDeliverEDAMInvalidContactsExceptionInCreateOrUpdateNotebookShares();
    void shouldDeliverThriftExceptionInCreateOrUpdateNotebookShares();
    void shouldExecuteCreateOrUpdateNotebookSharesAsync();
    void shouldDeliverEDAMUserExceptionInCreateOrUpdateNotebookSharesAsync();
    void shouldDeliverEDAMNotFoundExceptionInCreateOrUpdateNotebookSharesAsync();
    void shouldDeliverEDAMSystemExceptionInCreateOrUpdateNotebookSharesAsync();
    void shouldDeliverEDAMInvalidContactsExceptionInCreateOrUpdateNotebookSharesAsync();
    void shouldDeliverThriftExceptionInCreateOrUpdateNotebookSharesAsync();
    void shouldExecuteUpdateSharedNotebook();
    void shouldDeliverEDAMUserExceptionInUpdateSharedNotebook();
    void shouldDeliverEDAMNotFoundExceptionInUpdateSharedNotebook();
    void shouldDeliverEDAMSystemExceptionInUpdateSharedNotebook();
    void shouldDeliverThriftExceptionInUpdateSharedNotebook();
    void shouldExecuteUpdateSharedNotebookAsync();
    void shouldDeliverEDAMUserExceptionInUpdateSharedNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInUpdateSharedNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInUpdateSharedNotebookAsync();
    void shouldDeliverThriftExceptionInUpdateSharedNotebookAsync();
    void shouldExecuteSetNotebookRecipientSettings();
    void shouldDeliverEDAMUserExceptionInSetNotebookRecipientSettings();
    void shouldDeliverEDAMNotFoundExceptionInSetNotebookRecipientSettings();
    void shouldDeliverEDAMSystemExceptionInSetNotebookRecipientSettings();
    void shouldDeliverThriftExceptionInSetNotebookRecipientSettings();
    void shouldExecuteSetNotebookRecipientSettingsAsync();
    void shouldDeliverEDAMUserExceptionInSetNotebookRecipientSettingsAsync();
    void shouldDeliverEDAMNotFoundExceptionInSetNotebookRecipientSettingsAsync();
    void shouldDeliverEDAMSystemExceptionInSetNotebookRecipientSettingsAsync();
    void shouldDeliverThriftExceptionInSetNotebookRecipientSettingsAsync();
    void shouldExecuteListSharedNotebooks();
    void shouldDeliverEDAMUserExceptionInListSharedNotebooks();
    void shouldDeliverEDAMNotFoundExceptionInListSharedNotebooks();
    void shouldDeliverEDAMSystemExceptionInListSharedNotebooks();
    void shouldDeliverThriftExceptionInListSharedNotebooks();
    void shouldExecuteListSharedNotebooksAsync();
    void shouldDeliverEDAMUserExceptionInListSharedNotebooksAsync();
    void shouldDeliverEDAMNotFoundExceptionInListSharedNotebooksAsync();
    void shouldDeliverEDAMSystemExceptionInListSharedNotebooksAsync();
    void shouldDeliverThriftExceptionInListSharedNotebooksAsync();
    void shouldExecuteCreateLinkedNotebook();
    void shouldDeliverEDAMUserExceptionInCreateLinkedNotebook();
    void shouldDeliverEDAMNotFoundExceptionInCreateLinkedNotebook();
    void shouldDeliverEDAMSystemExceptionInCreateLinkedNotebook();
    void shouldDeliverThriftExceptionInCreateLinkedNotebook();
    void shouldExecuteCreateLinkedNotebookAsync();
    void shouldDeliverEDAMUserExceptionInCreateLinkedNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInCreateLinkedNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInCreateLinkedNotebookAsync();
    void shouldDeliverThriftExceptionInCreateLinkedNotebookAsync();
    void shouldExecuteUpdateLinkedNotebook();
    void shouldDeliverEDAMUserExceptionInUpdateLinkedNotebook();
    void shouldDeliverEDAMNotFoundExceptionInUpdateLinkedNotebook();
    void shouldDeliverEDAMSystemExceptionInUpdateLinkedNotebook();
    void shouldDeliverThriftExceptionInUpdateLinkedNotebook();
    void shouldExecuteUpdateLinkedNotebookAsync();
    void shouldDeliverEDAMUserExceptionInUpdateLinkedNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInUpdateLinkedNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInUpdateLinkedNotebookAsync();
    void shouldDeliverThriftExceptionInUpdateLinkedNotebookAsync();
    void shouldExecuteListLinkedNotebooks();
    void shouldDeliverEDAMUserExceptionInListLinkedNotebooks();
    void shouldDeliverEDAMNotFoundExceptionInListLinkedNotebooks();
    void shouldDeliverEDAMSystemExceptionInListLinkedNotebooks();
    void shouldDeliverThriftExceptionInListLinkedNotebooks();
    void shouldExecuteListLinkedNotebooksAsync();
    void shouldDeliverEDAMUserExceptionInListLinkedNotebooksAsync();
    void shouldDeliverEDAMNotFoundExceptionInListLinkedNotebooksAsync();
    void shouldDeliverEDAMSystemExceptionInListLinkedNotebooksAsync();
    void shouldDeliverThriftExceptionInListLinkedNotebooksAsync();
    void shouldExecuteExpungeLinkedNotebook();
    void shouldDeliverEDAMUserExceptionInExpungeLinkedNotebook();
    void shouldDeliverEDAMNotFoundExceptionInExpungeLinkedNotebook();
    void shouldDeliverEDAMSystemExceptionInExpungeLinkedNotebook();
    void shouldDeliverThriftExceptionInExpungeLinkedNotebook();
    void shouldExecuteExpungeLinkedNotebookAsync();
    void shouldDeliverEDAMUserExceptionInExpungeLinkedNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInExpungeLinkedNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInExpungeLinkedNotebookAsync();
    void shouldDeliverThriftExceptionInExpungeLinkedNotebookAsync();
    void shouldExecuteAuthenticateToSharedNotebook();
    void shouldDeliverEDAMUserExceptionInAuthenticateToSharedNotebook();
    void shouldDeliverEDAMNotFoundExceptionInAuthenticateToSharedNotebook();
    void shouldDeliverEDAMSystemExceptionInAuthenticateToSharedNotebook();
    void shouldDeliverThriftExceptionInAuthenticateToSharedNotebook();
    void shouldExecuteAuthenticateToSharedNotebookAsync();
    void shouldDeliverEDAMUserExceptionInAuthenticateToSharedNotebookAsync();
    void shouldDeliverEDAMNotFoundExceptionInAuthenticateToSharedNotebookAsync();
    void shouldDeliverEDAMSystemExceptionInAuthenticateToSharedNotebookAsync();
    void shouldDeliverThriftExceptionInAuthenticateToSharedNotebookAsync();
    void shouldExecuteGetSharedNotebookByAuth();
    void shouldDeliverEDAMUserExceptionInGetSharedNotebookByAuth();
    void shouldDeliverEDAMNotFoundExceptionInGetSharedNotebookByAuth();
    void shouldDeliverEDAMSystemExceptionInGetSharedNotebookByAuth();
    void shouldDeliverThriftExceptionInGetSharedNotebookByAuth();
    void shouldExecuteGetSharedNotebookByAuthAsync();
    void shouldDeliverEDAMUserExceptionInGetSharedNotebookByAuthAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetSharedNotebookByAuthAsync();
    void shouldDeliverEDAMSystemExceptionInGetSharedNotebookByAuthAsync();
    void shouldDeliverThriftExceptionInGetSharedNotebookByAuthAsync();
    void shouldExecuteEmailNote();
    void shouldDeliverEDAMUserExceptionInEmailNote();
    void shouldDeliverEDAMNotFoundExceptionInEmailNote();
    void shouldDeliverEDAMSystemExceptionInEmailNote();
    void shouldDeliverThriftExceptionInEmailNote();
    void shouldExecuteEmailNoteAsync();
    void shouldDeliverEDAMUserExceptionInEmailNoteAsync();
    void shouldDeliverEDAMNotFoundExceptionInEmailNoteAsync();
    void shouldDeliverEDAMSystemExceptionInEmailNoteAsync();
    void shouldDeliverThriftExceptionInEmailNoteAsync();
    void shouldExecuteShareNote();
    void shouldDeliverEDAMUserExceptionInShareNote();
    void shouldDeliverEDAMNotFoundExceptionInShareNote();
    void shouldDeliverEDAMSystemExceptionInShareNote();
    void shouldDeliverThriftExceptionInShareNote();
    void shouldExecuteShareNoteAsync();
    void shouldDeliverEDAMUserExceptionInShareNoteAsync();
    void shouldDeliverEDAMNotFoundExceptionInShareNoteAsync();
    void shouldDeliverEDAMSystemExceptionInShareNoteAsync();
    void shouldDeliverThriftExceptionInShareNoteAsync();
    void shouldExecuteStopSharingNote();
    void shouldDeliverEDAMUserExceptionInStopSharingNote();
    void shouldDeliverEDAMNotFoundExceptionInStopSharingNote();
    void shouldDeliverEDAMSystemExceptionInStopSharingNote();
    void shouldDeliverThriftExceptionInStopSharingNote();
    void shouldExecuteStopSharingNoteAsync();
    void shouldDeliverEDAMUserExceptionInStopSharingNoteAsync();
    void shouldDeliverEDAMNotFoundExceptionInStopSharingNoteAsync();
    void shouldDeliverEDAMSystemExceptionInStopSharingNoteAsync();
    void shouldDeliverThriftExceptionInStopSharingNoteAsync();
    void shouldExecuteAuthenticateToSharedNote();
    void shouldDeliverEDAMUserExceptionInAuthenticateToSharedNote();
    void shouldDeliverEDAMNotFoundExceptionInAuthenticateToSharedNote();
    void shouldDeliverEDAMSystemExceptionInAuthenticateToSharedNote();
    void shouldDeliverThriftExceptionInAuthenticateToSharedNote();
    void shouldExecuteAuthenticateToSharedNoteAsync();
    void shouldDeliverEDAMUserExceptionInAuthenticateToSharedNoteAsync();
    void shouldDeliverEDAMNotFoundExceptionInAuthenticateToSharedNoteAsync();
    void shouldDeliverEDAMSystemExceptionInAuthenticateToSharedNoteAsync();
    void shouldDeliverThriftExceptionInAuthenticateToSharedNoteAsync();
    void shouldExecuteFindRelated();
    void shouldDeliverEDAMUserExceptionInFindRelated();
    void shouldDeliverEDAMSystemExceptionInFindRelated();
    void shouldDeliverEDAMNotFoundExceptionInFindRelated();
    void shouldDeliverThriftExceptionInFindRelated();
    void shouldExecuteFindRelatedAsync();
    void shouldDeliverEDAMUserExceptionInFindRelatedAsync();
    void shouldDeliverEDAMSystemExceptionInFindRelatedAsync();
    void shouldDeliverEDAMNotFoundExceptionInFindRelatedAsync();
    void shouldDeliverThriftExceptionInFindRelatedAsync();
    void shouldExecuteUpdateNoteIfUsnMatches();
    void shouldDeliverEDAMUserExceptionInUpdateNoteIfUsnMatches();
    void shouldDeliverEDAMNotFoundExceptionInUpdateNoteIfUsnMatches();
    void shouldDeliverEDAMSystemExceptionInUpdateNoteIfUsnMatches();
    void shouldDeliverThriftExceptionInUpdateNoteIfUsnMatches();
    void shouldExecuteUpdateNoteIfUsnMatchesAsync();
    void shouldDeliverEDAMUserExceptionInUpdateNoteIfUsnMatchesAsync();
    void shouldDeliverEDAMNotFoundExceptionInUpdateNoteIfUsnMatchesAsync();
    void shouldDeliverEDAMSystemExceptionInUpdateNoteIfUsnMatchesAsync();
    void shouldDeliverThriftExceptionInUpdateNoteIfUsnMatchesAsync();
    void shouldExecuteManageNotebookShares();
    void shouldDeliverEDAMUserExceptionInManageNotebookShares();
    void shouldDeliverEDAMNotFoundExceptionInManageNotebookShares();
    void shouldDeliverEDAMSystemExceptionInManageNotebookShares();
    void shouldDeliverThriftExceptionInManageNotebookShares();
    void shouldExecuteManageNotebookSharesAsync();
    void shouldDeliverEDAMUserExceptionInManageNotebookSharesAsync();
    void shouldDeliverEDAMNotFoundExceptionInManageNotebookSharesAsync();
    void shouldDeliverEDAMSystemExceptionInManageNotebookSharesAsync();
    void shouldDeliverThriftExceptionInManageNotebookSharesAsync();
    void shouldExecuteGetNotebookShares();
    void shouldDeliverEDAMUserExceptionInGetNotebookShares();
    void shouldDeliverEDAMNotFoundExceptionInGetNotebookShares();
    void shouldDeliverEDAMSystemExceptionInGetNotebookShares();
    void shouldDeliverThriftExceptionInGetNotebookShares();
    void shouldExecuteGetNotebookSharesAsync();
    void shouldDeliverEDAMUserExceptionInGetNotebookSharesAsync();
    void shouldDeliverEDAMNotFoundExceptionInGetNotebookSharesAsync();
    void shouldDeliverEDAMSystemExceptionInGetNotebookSharesAsync();
    void shouldDeliverThriftExceptionInGetNotebookSharesAsync();
};

} // namespace qevercloud

#endif // QEVERCLOUD_GENERATED_TESTNOTESTORE_H
